@import url('https://fonts.googleapis.com/css2?family=VT323&family=Archivo+Black&display=swap');

/* 1. VARIABLES DE COLOR */
:root {
  --negro: #0A0E17;
  --color-peligro: #e25138d7;
  --color-terminal: #FF6FD8;
  --texto: #f9f7e7;
  --texto-secundario: #13182c;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

/* Fondo detrás del monitor */
html {
  background-color: #000;
  min-height: 100vh;
}

body {
  min-height: 100vh;
  margin: 0;
  display: flex;
  align-items: center;      /* centra verticalmente */
  justify-content: center;  /* centra horizontalmente */
  font-family: 'VT323', monospace;
  color: var(--texto);
}

/* MONITOR: imagen + contenedor */
.monitor {
  position: relative;
  width: 90%;
  max-width: 800px;
  aspect-ratio: 1080 / 920; /* proporción real de fondo.png */
  background-image: url(./img/fondo.png);
  background-size: 100% 100%;
  background-repeat: no-repeat;
  padding: 9.5%;
}

/* PANTALLA: banner + la app */
.pantalla {
  position: relative;  
  height: 100%;
  display: flex;
  flex-direction: column;
}

header,
#app,
.pantalla-logo {
  position: relative;
}

header::after,
#app::after,
.pantalla-logo::after {
  content: "";
  position: absolute;
  pointer-events: none;
  z-index: 5;
}

header {
  top: 10px;
  color: var(--texto);
  padding: 6px;
  letter-spacing: 1px;
  line-height: 0.5rem;
  font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  opacity: 0.8;
}

header hr {
  border: none;
  height: 1.65px;
  background: var(--color-peligro);
  width: 100%;
  margin: 10px 0;
}

/* Logo-banner tipo "teléfono público" */
.banner {
  position: relative;
}

.banner::after {
  content: "";
  position: absolute;
  pointer-events: none;
  z-index: 5;
}

/* Placa con degradado rosa oscuro */
.placa-logo {
  position: relative;
  margin-top:5px;
  overflow: hidden;
  background: linear-gradient(160deg, #ee328d 0%, var(--color-terminal) 50%, #ee328d 100%);
  padding: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.placa-logo .marca {
  position: relative;
  display: flex;
  align-items: center;
  gap: 20px;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 2rem;
  font-weight: 900;
  color: var(--texto-claro);
  text-shadow: -2px 0 rgba(167, 28, 237, 0.761), 2px 0 rgba(5, 79, 108, 0.913), 0 0 5px rgba(178, 248, 65, 0.779);
}

.placa-logo .marca span.icono {
  font-size: 1.5rem;
}

/* Contenido/tarjetas, siempre encima de todo */
.contenido,
.card {
  position: relative;
  z-index: 2;
}

/* ESTILOS DE LA APP - Terminal texto plano */
#app {
  display: flex;
  justify-content: center;
}

.menu-app {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 6px 15px;
}

.tarjeta {
  position: relative;
  margin-top: 20px;
  border: 2px solid var(--texto);
  background: var(--negro);
  padding: 15px;
  z-index: 2;
  width: 110%;
}

.tarjeta h2 {
  color: var(--texto);
  text-transform: uppercase;
  letter-spacing: 2px;
  font-weight: 400;
  font-size: 1.5rem;
  margin-bottom: 15px;
}

label {
  display: block;
  font-size: 1.1rem;
  color: var(--texto);
  text-transform: uppercase;
  letter-spacing: 1px;
  margin: 8px 0 8px 0;
  text-align: left;
}

p {
  font-size: 1.12rem;
  color: var(--texto);
  margin-bottom: 3px;
}

/* Si el usuario no completa los datos del formulario, saldrá un mensaje */
.mensaje {
  color: var(--texto);
  margin-bottom: 10px;
  font-size: 1.1rem;
  letter-spacing: 1px;
  background-color: var(--color-peligro);
}

input,
select {
  width: 100%;
  padding: 10px;
  margin-bottom: 15px;
  background: var(--negro);
  color: var(--texto-claro);
  border: 1px solid var(--texto);
  border-radius: 0;
  font-family: 'VT323', monospace;
  font-size: 1.1rem;
}

input::placeholder {
  color: var(--texto);
  opacity: 0.6;
}

/* Flechas del input number coloreadas (Chrome, Edge, Safari) */
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  filter: invert(1);
  cursor: pointer;
  opacity: 1;
}

input[type="number"] {
  -moz-appearance: textfield;
  appearance: textfield; /*valor estandar*/
}

input:focus,
select:focus {
  outline: none;
  border: var(--color-terminal) 2px solid;
  font-weight: bold;
}

.boton-principal,
.boton-volver,
.boton-peligro {
  display: block;
  text-align: center;
  background: none;
  border: none;
  padding: 4px 12px;
  margin-top: 12px;
  font-family: 'VT323', monospace;
  font-size: 1.5rem;
  text-transform: uppercase;
  letter-spacing: 1px;
  cursor: pointer;
  text-underline-offset: 3px;
}

.boton-principal {
  text-decoration: none;
  color: var(--texto-claro);
  width: 100%;
   letter-spacing: 2px;
}

.boton-principal:hover {
  background-color: var(--texto);
  color:var(--texto-secundario);
  font-weight: 800;
}

.boton-volver {
  color: var(--texto);
  margin-top:25px;
  width: 100%;
  letter-spacing: 2px;
}

.boton-volver:hover {
  background-color: var(--texto);
  color: var(--texto-secundario);
  font-weight: 800;
}

.boton-peligro {
  padding-left: 10px;
  color: var(--color-peligro);
  width: 100%;
}

.boton-peligro:hover {
  color: var(--negro);
  font-weight: 700;
  background-color: var(--color-peligro);
}

/*Muesta de datos que se consultan*/
table {
  width: 100%;
  border-collapse: collapse;
  margin: 15px 0;
  font-family: 'VT323', monospace;
  font-size: 1.1rem;
}

th,
td {
  border: 1px solid var(--texto);
  padding: 8px 10px;
  text-align: left;
}

th {
  background: var(--texto);
  color: var(--texto-secundario);
  text-transform: uppercase;
  letter-spacing: 1px;
  font-weight: 700;
}

td {
  color: var(--texto);
}

/* Filas alternadas*/
tbody tr:nth-child(even) td {
  background: rgba(255, 255, 255, 0.03);
}


footer {
  position: absolute;
  bottom: -90px;
  width: 100%;
  display: flex;
  justify-content: center;
  opacity: 0.5;
  z-index: 3;
}
